<?xml version='1.0' encoding='windows-1252' ?>
<DCContainer
   id="ViewEmployeesUIModel"
   xmlns="http://xmlns.oracle.com/adfm/uimodel"
   version="9.0.5.15.88"
   Package="view"
   FindMode="false"
   EnableTokenValidation="true" >
   <Contents >
      <DCIterator
         id="DepartmentsView1Iterator"
         Binds="AppModuleDataControl.DepartmentsView1" >
      </DCIterator>
      <DCIterator
         id="EmployeesView3Iterator"
         Binds="AppModuleDataControl.EmployeesView3" >
      </DCIterator>
      <DCIterator
         id="AuthenticateUser1Iterator"
         Binds="AppModuleDataControl.AuthenticateUser1"
         RangeSize="10" >
      </DCIterator>
      <DCControl
         id="DepartmentsView1"
         SubType="DCTable"
         IterBinding="DepartmentsView1Iterator"
         ApplyValidation="false"
         isDynamic="false" >
         <AttrNames>
            <Item Value="DepartmentId" />
            <Item Value="DepartmentName" />
            <Item Value="ManagerId" />
            <Item Value="LocationId" />
         </AttrNames>
      </DCControl>
      <DCControl
         id="DepartmentId"
         SubType="DCTextField"
         IterBinding="DepartmentsView1Iterator"
         ApplyValidation="false"
         isDynamic="false" >
         <AttrNames>
            <Item Value="DepartmentId" />
         </AttrNames>
      </DCControl>
      <DCControl
         id="DepartmentName"
         SubType="DCTextField"
         IterBinding="DepartmentsView1Iterator"
         ApplyValidation="false"
         isDynamic="false" >
         <AttrNames>
            <Item Value="DepartmentName" />
         </AttrNames>
      </DCControl>
      <DCControl
         id="ManagerId"
         SubType="DCTextField"
         IterBinding="DepartmentsView1Iterator"
         ApplyValidation="false"
         isDynamic="false" >
         <AttrNames>
            <Item Value="ManagerId" />
         </AttrNames>
      </DCControl>
      <DCControl
         id="LocationId"
         SubType="DCTextField"
         IterBinding="DepartmentsView1Iterator"
         ApplyValidation="false"
         isDynamic="false" >
         <AttrNames>
            <Item Value="LocationId" />
         </AttrNames>
      </DCControl>
      <DCControl
         id="setBindVars"
         SubType="DCMethodAction"
         Action="999"
         RequiresUpdateModel="false"
         DataControl="AppModuleDataControl"
         InstanceName="AppModuleDataControl.dataProvider"
         MethodName="setBindVars"
         ReturnName="AppModuleDataControl.methodResults.AppModuleDataControl_dataProvider_setBindVars_result" >
         <Contents >
            <NamedData
               NDName="Arg0"
               NDType="java.lang.String"
               NDValue="%null%" >
            </NamedData>
            <NamedData
               NDName="Arg1"
               NDType="java.lang.String"
               NDValue="%null%" >
            </NamedData>
         </Contents>
      </DCControl>
      <DCControl
         id="EmployeesView3"
         SubType="DCTable"
         IterBinding="EmployeesView3Iterator"
         ApplyValidation="false"
         isDynamic="false" >
         <AttrNames>
            <Item Value="EmployeeId" />
            <Item Value="FirstName" />
            <Item Value="LastName" />
            <Item Value="Email" />
            <Item Value="PhoneNumber" />
            <Item Value="HireDate" />
            <Item Value="JobId" />
            <Item Value="Salary" />
            <Item Value="CommissionPct" />
            <Item Value="ManagerId" />
            <Item Value="DepartmentId" />
         </AttrNames>
      </DCControl>
      <DCControl
         id="setCurrentRowWithKeyValue"
         SubType="DCMethodAction"
         IterBinding="DepartmentsView1Iterator"
         Action="999"
         RequiresUpdateModel="true"
         DataControl="AppModuleDataControl"
         InstanceName="DepartmentsView1Iterator"
         MethodName="setCurrentRowWithKeyValue"
         ReturnName="AppModuleDataControl.methodResults.setCurrentRowWithKeyValue"
         IsLocalObjectReference="true" >
         <Contents >
            <NamedData
               NDName="Arg0"
               NDType="java.lang.String"
               NDValue="%null%" >
            </NamedData>
         </Contents>
      </DCControl>
   </Contents>
</DCContainer>
